Name:       ocaml-rope
Version:    0.5
Release:    %mkrel 2
Summary:    Ropes ("heavyweight strings")
License:    LGPL-2.1 with OCaml linking exception
Group:      Development/OCaml
URL:        http://rope.forge.ocamlcore.org/
Source0:    http://download.ocamlcore.org/rope/rope/%{version}/rope-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-benchmark-devel

%description
Ropes are a scalable string implementation: they are designed for efficient
operation that involve the string as a whole such as concatenation and
substring. This library implements ropes for OCaml (it is rich enough to
replace strings).

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n rope-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/rope
make install

%files
%doc README.txt LICENSE AUTHORS.txt
%dir %{_libdir}/ocaml/rope
%{_libdir}/ocaml/rope/META
%{_libdir}/ocaml/rope/*.cmi
%{_libdir}/ocaml/rope/*.cma
%{_libdir}/ocaml/rope/*.cmxs

%files devel
%doc bench/
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/rope/*.a
%{_libdir}/ocaml/rope/*.cmxa
%{_libdir}/ocaml/rope/*.cmx
%{_libdir}/ocaml/rope/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.5-2.mga4
+ Revision: 523829
- Mageia 4 Mass Rebuild

* Thu May 02 2013 blue_prawn <blue_prawn> 0.5-1.mga4
+ Revision: 412002
- build requires ocaml-benchmark-devel
- build requires ocaml-benchmark
- imported package ocaml-rope

